Bug 39383 - rpmfind can't retrieve Raw Hide packages
rpmfind can't retrieve Raw Hide packages
Status: CLOSED WONTFIX
Product: Red Hat Raw Hide
Classification: Retired
Component: rpmfind (Show other bugs)
1.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Veillard
Aaron Brown
http://www.rpmfind.net/linux/RPM/rawh...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-05-07 10:19 EDT by rudi
Modified: 2007-04-18 12:33 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-07-25 16:56:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description rudi 2001-05-07 10:19:36 EDT
Description of Problem:

The RDF metadata for Raw Hide seems to be obsolete or missing.

If you visit the URL above, you'll see that Raw Hide is advertised
as being available at the address

ftp://rawhide.redhat.com/pub/rawhide/i386

Since a few months, though, it was moved to pub/redhat/linux/rawhide.

Also, if you try looking for a package which is in Raw Hide,
rpmfind will fail to fetch the file

http://www.redhat.com/RDF/rawhide/1.0/<ARCH>/<PACKAGE>.rdf

There doesn't seem to be any "rawhide" directory under /RDF
at www.redhat.com. There isn't one under /RDF/redhat/linux,
either.

I also tried to use rpmfind.net as the RDF server, but it still
ends up looking for the <PACKAGE>.rdf file at www.redhat.com:

 rpmfind -v -v --upgrade --latest ncftp
[...]
findResource ncftp
Resource ncftp is provided by: ncftp-3.0.2-1
lookupRemoteResource ncftp
Get http://rpmfind.net/linux/RDF/resources/ncftp.rdf
Fetching : http://rpmfind.net/linux/RDF/resources/ncftp.rdf to
/root/.rpmfinddir/fetchDM77sF
HTTPRequest returned : 200
removing ncftp-3.0.1-7, wrong platform Linux/src
[...]
Updating the metadata server list
Get http://rpmfind.net/linux/RDF/resources/distribs/metadata.rdf
Fetching : http://rpmfind.net/linux/RDF/resources/distribs/metadata.rdf to
/root/.rpmfinddir/fetchafCK8O
HTTPRequest returned : 200
netResourceSearch : hit
Updating the distribution list
Get http://rpmfind.net/linux/RDF/resources/distribs/list.rdf
Fetching : http://rpmfind.net/linux/RDF/resources/distribs/list.rdf to
/root/.rpmfinddir/fetchcZnmsn
HTTPRequest returned : 200
Get http://www.redhat.com/RDF/resources/distribs/list.rdf
Fetching : http://www.redhat.com/RDF/resources/distribs/list.rdf to
/root/.rpmfinddir/fetchOlrKNk
HTTPRequest returned : 200
Unable to find the distribution owning package
ftp://ftp.madeinlinux.com//distro/4.0SE-beta/cdtree/cd1/madeinlinux/RPMS/ncftp-3.0.1-6mlx.i386.rpm
removing ncftp-3.0beta19-0, wrong platform Linux/ppc
[...]
Updating the metadata server list
netResourceSearch : hit
Get http://www.redhat.com/RDF/resources/distribs/metadata.rdf
Fetching : http://www.redhat.com/RDF/resources/distribs/metadata.rdf to
/root/.rpmfinddir/fetchnewmIA
HTTPRequest returned : 200
Updating the distribution list
netResourceSearch : hit
netResourceSearch : hit
Unable to find the distribution owning package
ftp://ftp.madeinlinux.com//distro/4.0/cdtree/madeinlinux/RPMS/ncftp-3.0.1-6mlx.i386.rpm
removing ncftp-3.0.2-1cl, wrong platform Linux/src
[...]
ncftp-3.0.3-1, Red Hat, Inc. <http://bugzilla.redhat.com/bugzilla>(Red Hat
Linux) : 3000003
ncftp-3.0.2-1, Red Hat, Inc. <http://bugzilla.redhat.com/bugzilla>(Red Hat
Linux) : 3000002
[...]
Get http://www.redhat.com/RDF/rawhide/1.0/i386/ncftp-3.0.3-1.i386.rdf
Fetching :
http://www.redhat.com/RDF/rawhide/1.0/i386/ncftp-3.0.3-1.i386.rdf to
/root/.rpmfinddir/fetchqe1FZ0
HTTPRequest returned : -1
        Failed !


How Reproducible:
Always

Steps to Reproduce:
1. Configure rpmfind to prefer Raw Hide packages
2. Check for the latest version of a Raw Hide package

Actual Results:
Fetching RDF file for package fails; a Red Hat 7.1/7.0 package is
offered instead

Expected Results:
The correct RDF file is fetched

Additional Information:
Comment 1 Daniel Veillard 2002-08-29 05:41:20 EDT
The maintainance of the rpmfind, RDF based database was turning
into a nightmare, the command line rpmfind tool is not supported 
anymore (I maintain rpmfind.net and can't keep track anymore),
I suggest Red Hat users use up2date to keep their systems up-to-date,

  sorry about that,

Daniel

Note You need to log in before you can comment on or make changes to this bug.